Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in postgresql12
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in postgresql12
ID: SUSE-SU-2021:1783-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Server 12-SP5, SUSE Linux Enterprise Software Development Kit 12-SP5
Datum: Do, 27. Mai 2021, 22:56
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3393
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-32027
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-32028
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-32029
Applikationen: PostgreSQL

Originalnachricht


SUSE Security Update: Security update for postgresql12
______________________________________________________________________________

Announcement ID: SUSE-SU-2021:1783-1
Rating: moderate
References: #1179945 #1182040 #1183118 #1183168 #1185924
#1185925 #1185926
Cross-References: CVE-2021-32027 CVE-2021-32028 CVE-2021-32029
CVE-2021-3393
CVSS scores:
CVE-2021-32027 (SUSE): 6.5
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N
CVE-2021-32028 (SUSE): 6.5
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
CVE-2021-32029 (SUSE): 6.5
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
CVE-2021-3393 (NVD) : 4.3
CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N
CVE-2021-3393 (SUSE): 6.2
CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP5
SUSE Linux Enterprise Server 12-SP5
______________________________________________________________________________

An update that solves four vulnerabilities and has three
fixes is now available.

Description:

This update for postgresql12 fixes the following issues:

- Upgrade to version 12.7:
- CVE-2021-32027: Fixed integer overflows in array subscripting
calculations (bsc#1185924).
- CVE-2021-32028: Fixed mishandling of junk columns in INSERT ... ON
CONFLICT ... UPDATE target lists (bsc#1185925).
- CVE-2021-32029: Fixed possibly-incorrect computation of UPDATE ...
RETURNING "pg_psql_temporary_savepoint" does not exist
(bsc#1185926).
- CVE-2021-3393: Fixed information leakage in constraint-violation error
messages (bsc#1182040).

- Don't use %_stop_on_removal, because it was meant to be private and
got
removed from openSUSE. %_restart_on_update is also private, but still
supported and needed for now (bsc#1183168).
- Re-enable build of the llvmjit subpackage on SLE, but it will only be
delivered on PackageHub for now (bsc#1183118).
- Disable icu for PostgreSQL 10 (and older) on TW (bsc#1179945).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP5:

zypper in -t patch SUSE-SLE-SDK-12-SP5-2021-1783=1

- SUSE Linux Enterprise Server 12-SP5:

zypper in -t patch SUSE-SLE-SERVER-12-SP5-2021-1783=1



Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP5 (aarch64 ppc64le
s390x x86_64):

postgresql12-debugsource-12.7-3.15.3
postgresql12-devel-12.7-3.15.3
postgresql12-devel-debuginfo-12.7-3.15.3

- SUSE Linux Enterprise Software Development Kit 12-SP5 (ppc64le s390x
x86_64):

postgresql12-server-devel-12.7-3.15.3
postgresql12-server-devel-debuginfo-12.7-3.15.3

- SUSE Linux Enterprise Server 12-SP5 (aarch64 ppc64le s390x x86_64):

postgresql12-12.7-3.15.3
postgresql12-contrib-12.7-3.15.3
postgresql12-contrib-debuginfo-12.7-3.15.3
postgresql12-debuginfo-12.7-3.15.3
postgresql12-debugsource-12.7-3.15.3
postgresql12-plperl-12.7-3.15.3
postgresql12-plperl-debuginfo-12.7-3.15.3
postgresql12-plpython-12.7-3.15.3
postgresql12-plpython-debuginfo-12.7-3.15.3
postgresql12-pltcl-12.7-3.15.3
postgresql12-pltcl-debuginfo-12.7-3.15.3
postgresql12-server-12.7-3.15.3
postgresql12-server-debuginfo-12.7-3.15.3

- SUSE Linux Enterprise Server 12-SP5 (noarch):

postgresql12-docs-12.7-3.15.3


References:

https://www.suse.com/security/cve/CVE-2021-32027.html
https://www.suse.com/security/cve/CVE-2021-32028.html
https://www.suse.com/security/cve/CVE-2021-32029.html
https://www.suse.com/security/cve/CVE-2021-3393.html
https://bugzilla.suse.com/1179945
https://bugzilla.suse.com/1182040
https://bugzilla.suse.com/1183118
https://bugzilla.suse.com/1183168
https://bugzilla.suse.com/1185924
https://bugzilla.suse.com/1185925
https://bugzilla.suse.com/1185926
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung